Subject: Re: [PATCH 1/5] Add the explanation and sample of RapidIO DTS sector to the document of booting-without-of.txt file.

From: Segher Boessenkool <[email-masked]>
Date: Mon, 18 Jun 2007 14:43:43 +0200

>> You don't need to mention _all_ compatible devices in
>> the "compatible" property, only the few that matter;
>> typically the oldest one, and sometimes some intermediate
>> device that has extra features over the original one.
>
> The oldest one is difficult to find out sometime. Can we only set the
> self name in dts, such as "fsl, rapidio-8641", and add this 
> 'compatible'
> property to the driver ids arrays?

You can do that, but you typically don't need to -- the
whole idea of "compatible" is to avoid this, and not need
to have huge "pci id" style tables in the device drivers
that need constant updating.  But you _can_ do it, sure.

> Such as:
>
> static struct of_device_id of_rio_rpn_ids[] = {
> 	{ .compatible = "fsl, rapidio-8540",},
> 	{ .compatible = "fsl, rapidio-8560",},
> 	{ .compatible = "fsl, rapidio-8641",},
> 	{ .compatible = "fsl, rapidio-8548",},
> 	{},
> };
>
> How about that?

I would just put 8540 in the table and in all device trees
in this case.

>> It isn't useful to add "compatible" entries that no OS
>> probes for.
>>
>>>> Concrete names are good.
>>>
>>> While I agree concrete names are good, we put these 'blocks' in so
>>> many devices that using the device to match on is pointless.
>>
>> You *definitely* should put the device name for _this_
>> device in there, in case it needs some special workaround.
>>
>>> I'm all for making up a name like 'Grande', 'Del',
>> 'Janeiro'.  This is
>>> effective what we did with gianfar.  The name gets picked up pretty
>>> quickly by people.
>>
>> That can be used as the "base" name, yes.
>
> Do you have the name list? I can change my codes according them.

Nope.

> How about 'Mercurary', 'Venus', 'Earth', 'Mars', 'Saturn', 'Jupiter',
> 'Uranus', 'Neptune',
> Or 'Aries', 'Taurus', 'Gemini', 'Cancer', 'Leo', 'Virgo', 'Libra',
> 'Scorpius', 'Sagittarius', 'Capricornus', 'Aquarius', 'Pisces' ?

I don't like making up names just for this, I don't see what good
this would do.  Using a pre-existing code name is fine of course,
as long as it is a unique identifier, since that's all that matters.

Segher